java.lang.reflect.InvocationTargetException

SpringSource Issue Tracker | Eberhard Wolff | 8 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Starting with JDK 1.5 fails quite nasty: [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]java -versionjava version "1.5.0_16" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_16-b06-284) Java HotSpot(TM) Client VM (build 1.5.0_16-133, mixed mode, sharing) [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]./startup.sh Unrecognized VM option 'ErrorFile=/Users/wolff/springsource-dm-server-2.0.0.M2/serviceability/error.log' Could not create the Java virtual machine. If you change the options in startup.sh so they actually work on JDK 1.5 you get a different error: [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]./startup1.sh Launch failed: caught exception. java.lang.reflect.InvocationTargetException at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:585) at com.springsource.server.launch.harness.LaunchHarness.main(LaunchHarness.java:63) Caused by: java.lang.NoSuchMethodError: java.util.Properties.load(Ljava/io/Reader;)V at com.springsource.osgi.launcher.parser.ArgumentParser.parseConfigProperties(ArgumentParser.java:123) at com.springsource.osgi.launcher.parser.ArgumentParser.parse(ArgumentParser.java:70) at com.springsource.osgi.launcher.Launcher.main(Launcher.java:31) ... 5 more [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin] The user guide of SpringSource dm Server 2.0M2 actually states: 1. Installing 1.1 Prerequisites The SpringSource dm Server requires Java SE 5 or later to be installed. Java is available from Sun and elsewhere. Please make it actually work on Java SE 5. Or change the documentation and make dm Server fail gracefully if the wrong JDK is used.

    SpringSource Issue Tracker | 8 years ago | Eberhard Wolff
    java.lang.reflect.InvocationTargetException
  2. 0

    Starting with JDK 1.5 fails quite nasty: [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]java -versionjava version "1.5.0_16" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_16-b06-284) Java HotSpot(TM) Client VM (build 1.5.0_16-133, mixed mode, sharing) [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]./startup.sh Unrecognized VM option 'ErrorFile=/Users/wolff/springsource-dm-server-2.0.0.M2/serviceability/error.log' Could not create the Java virtual machine. If you change the options in startup.sh so they actually work on JDK 1.5 you get a different error: [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin]./startup1.sh Launch failed: caught exception. java.lang.reflect.InvocationTargetException at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) at java.lang.reflect.Method.invoke(Method.java:585) at com.springsource.server.launch.harness.LaunchHarness.main(LaunchHarness.java:63) Caused by: java.lang.NoSuchMethodError: java.util.Properties.load(Ljava/io/Reader;)V at com.springsource.osgi.launcher.parser.ArgumentParser.parseConfigProperties(ArgumentParser.java:123) at com.springsource.osgi.launcher.parser.ArgumentParser.parse(ArgumentParser.java:70) at com.springsource.osgi.launcher.Launcher.main(Launcher.java:31) ... 5 more [wolff@WhiteRabbit:~/springsource-dm-server-2.0.0.M2/bin] The user guide of SpringSource dm Server 2.0M2 actually states: 1. Installing 1.1 Prerequisites The SpringSource dm Server requires Java SE 5 or later to be installed. Java is available from Sun and elsewhere. Please make it actually work on Java SE 5. Or change the documentation and make dm Server fail gracefully if the wrong JDK is used.

    SpringSource Issue Tracker | 8 years ago | Eberhard Wolff
    java.lang.reflect.InvocationTargetException

    Root Cause Analysis

    1. java.lang.NoSuchMethodError

      java.util.Properties.load(Ljava/io/Reader;)V

      at com.springsource.osgi.launcher.parser.ArgumentParser.parseConfigProperties()
    2. com.springsource.osgi
      Launcher.main
      1. com.springsource.osgi.launcher.parser.ArgumentParser.parseConfigProperties(ArgumentParser.java:123)
      2. com.springsource.osgi.launcher.parser.ArgumentParser.parse(ArgumentParser.java:70)
      3. com.springsource.osgi.launcher.Launcher.main(Launcher.java:31)
      3 frames
    3. Java RT
      Method.invoke
      1. sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      2. sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
      3. sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
      4. java.lang.reflect.Method.invoke(Method.java:585)
      4 frames
    4. com.springsource.server
      LaunchHarness.main
      1. com.springsource.server.launch.harness.LaunchHarness.main(LaunchHarness.java:63)
      1 frame